Bug 147307 - -g (geometry) "sectors" reported invalid
-g (geometry) "sectors" reported invalid
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hdparm (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-06 18:53 EST by Jan Kratochvil
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 07:47:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2005-02-06 18:53:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a6)
Gecko/20050111

Description of problem:
Linux kernels detects disk/partition size correctly but hdparm(8)
reports wrong number.


Version-Release number of selected component (if applicable):
hdparm-5.8-2

How reproducible:
Always

Steps to Reproduce:
1. cat /sys/block/hda/size
2. hdparm -g /dev/hda


Actual Results:  398297088

/dev/hda:
 geometry     = 24792/255/63, sectors = 203928109056, start = 0


Expected Results:  398297088

/dev/hda:
 geometry     = 24792/255/63, sectors = 398297088, start = 0


Additional info:

It may be a bug in Linux kernel instead. Using: kernel-2.6.10-1.760_FC3
The same bug applies to fc3 hdparm package.
Comment 1 Jan Kratochvil 2005-02-07 13:32:27 EST
I checked this bug is really a Linux kernel bug.
Reposted as Bug 147373.
Comment 2 Jan Kratochvil 2005-06-04 02:57:33 EDT
Not a kernel bug, it is really a hdparm(8) bug, sorry.
Bug is still present in Fedora/devel hdparm-5.9-3 - 200GB drive:

# hdparm -g /dev/hda

/dev/hda:
 geometry     = 24792/255/63, sectors = 203928109056, start = 0

while when I use .tar.gz hdparm-6.1 it is fixed:
/tmp/hdparm-6.1# ./hdparm -g /dev/hda

/dev/hda:
 geometry     = 24792/255/63, sectors = 398297088, start = 0

Probably the best fix is hdparm package update to 6.1...

Note You need to log in before you can comment on or make changes to this bug.